about summary refs log tree commit homepage
diff options
context:
space:
mode:
authorEric Wong <e@80x24.org>2015-11-20 21:35:34 +0000
committerEric Wong <e@80x24.org>2015-11-20 21:36:18 +0000
commit4f7e8edf9f3bf734ca6bfb56756ef7cd90ffb32e (patch)
treee41a20334c899f2d5c3068a6774ccdf2334d577c
parentd3ad6ed40305cecb1abfe30fb9bf9db047b45e07 (diff)
downloadcmogstored-4f7e8edf9f3bf734ca6bfb56756ef7cd90ffb32e.tar.gz
gnulib commit 41d1b6c42641a5b9e21486ca2074198ee7909bd7
("mountlist: add support for deallocating returned list entries")
or later (from July 2013) is needed for free_mount_entry support
introduced in our commit 1225f9ce4c32b3bba61ce92a487d99260a001995
("use free_mount_entry from gnulib instead of rolling our own").
-rw-r--r--HACKING5
-rwxr-xr-xautogen.sh12
2 files changed, 17 insertions, 0 deletions
diff --git a/HACKING b/HACKING
index 2088958..4afe63a 100644
--- a/HACKING
+++ b/HACKING
@@ -20,8 +20,13 @@ Generally, the versions of these tools bundled with the latest
 stable release of Debian GNU/Linux will work.
 
 For Gnulib, we will use the latest git checkouts from:
+
         git://git.savannah.gnu.org/gnulib.git
 
+We currently require gnulib commit 41d1b6c42641a5b9e21486ca2074198ee7909bd7
+("mountlist: add support for deallocating returned list entries")
+or later (from July 2013) for free_mount_entry support
+
 For gcov code coverage reports, we rely on "gcov2perl" and "cover"
 from the Devel::Cover Perl module:
 
diff --git a/autogen.sh b/autogen.sh
index 4db469d..6fb4433 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,6 +4,18 @@ glver="$(gnulib-tool --version | head -n1)"
 if gnulib-tool --update && autoreconf -i
 then
         echo "$glver" > .gnulib-version
+        if ! grep -w free_mount_entry >/dev/null lib/mountlist.h
+        then
+                cat >&2 <<EOF
+
+ERROR: gnulib too old
+gnulib commit 41d1b6c42641a5b9e21486ca2074198ee7909bd7
+("mountlist: add support for deallocating returned list entries")
+or later (from July 2013) for free_mount_entry support
+
+EOF
+                exit 1
+        fi
         exit 0
 fi
 cat HACKING